Subject: bug#5299: Default mailer (was: custom-reevaluate-setting / custom-initialize-delay)

From: "Drew Adams" <[email-masked]>
Date: Wed, 24 Feb 2010 13:13:03 -0800

> I think we need to revisit the setting for the default mailer: I think
> neither the mailclient-send-it nor any other setting is a 
> good default.
> I think we should instead use as default a special function 
> that prompts
> the user whether he wants to use his external MUA to send email
> (i.e. use mailclient-send-it), or to use /usr/sbin/sendmail, or to use
> smtpmail in which case it'll ask the user to configure his 
> SMTP server.
> 
> And this should be used on *all* systems rather than only under w32
> and/or macosx, since sadly /usr/sbin/sendmail is too often 
> unusable even
> under GNU/Linux (my /usr/sbin/sendmail is usable, but I must 
> admit that
> it took me a significant amount of work on my laptop, so I 
> can't expect
> most people to go through that trouble).

I would hope that if a user is interrupted by such questions this happens only
the first time, not each time s?he sends a mail.

IOW, questions are OK as a means to help a user configure things, but once
defaults are configured according to the user's preference, then there shouldn't
be any more prompting.

If there is a need to let users override their default settings, then that could
perhap be done either via a different command or using C-u.